﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;

namespace RibbonTask
{
    public partial class Form1 : RibbonForm
    {
        public Form1()
        {
            InitializeComponent();
            this.toolStripTabItem1.Panel.Controls.Add(this.buttonAdv1);
            this.toolStripTabItem2.Panel.Controls.Add(this.buttonAdv2);
            this.buttonAdv1.Location = new System.Drawing.Point(510, 1);
            this.buttonAdv2.Location = new System.Drawing.Point(1, 1);
    
            this.toolStripTabItem1.Panel.ControlAdded += new ControlEventHandler(Panel_ControlAdded);
            this.toolStripTabItem2.Panel.ControlAdded+=new ControlEventHandler(Panel2_ControlAdded);
        }

        void Panel_ControlAdded(object sender, ControlEventArgs e)
        {
            this.buttonAdv1.Location = new Point(this.buttonAdv1.Location.X + e.Control.Width +2, this.buttonAdv1.Location.Y);
        }
        void Panel2_ControlAdded(object sender, ControlEventArgs e)
        {
            this.buttonAdv2.Location = new Point(this.buttonAdv2.Location.X + e.Control.Width + 2, this.buttonAdv1.Location.Y);
        }

        int i = 1;
        private void toolStripTabItem6_Click(object sender, EventArgs e)
        {            
            ToolStripTabItem tab = new ToolStripTabItem();
            tab.Text = "NewTab" + i.ToString();
            i++;
            this.ribbonControlAdv1.Header.MainItems.RemoveAt(this.ribbonControlAdv1.Header.MainItems.Count - 1);
            //To add ToolStripTabItem in RibbonControlAdv
            this.ribbonControlAdv1.Header.AddMainItem(tab);           
            this.ribbonControlAdv1.Header.AddMainItem(this.toolStripTabItem6);
            this.ribbonControlAdv1.SelectedTab = tab;
        }


        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            ToolStripEx Strip = new ToolStripEx();
            Strip.GripStyle = ToolStripGripStyle.Hidden;
            //To Add ToolStripEx in RibbonControlAdv panel
            (this.ribbonControlAdv1.SelectedTab as ToolStripTabItem).Panel.Controls.Add(Strip);
        }

    }
}
